package main

import (
	"github.com/gofiber/fiber/v2"
	"gdmo/data"
)

func AddRoutes(app *fiber.App) {
	app.Get("/", IndexHandler)
	app.Get("/plot", PlotHandler)
}

func IndexHandler(c *fiber.Ctx) error {
	return c.Render("index", fiber.Map{
		"sindata": data.Get(),
	})
}

func PlotHandler(c *fiber.Ctx) error {
	return c.Render("plot", fiber.Map{
		"sindata": data.Get(),
	})
}
